Update a company custom field

Path Parameters
  • id
    Type: stringFormat: uuid
    required
Body·
required
application/json
  • description
    Type: string
    max length:  
    500
  • isFilterable
    Type: boolean
  • isRequired
    Type: boolean
  • isSortable
    Type: boolean
  • name
    Type: string
    min length:  
    1
    max length:  
    100
  • settings
    Type: object
Responses
  • application/json
  • application/json
  • application/json
Request Example for patch/api/companies/custom-fields/{id}
curl https://beta-api.introzy.com/api/companies/custom-fields/123e4567-e89b-12d3-a456-426614174000 \
  --request PATCH \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "name": "",
  "description": "",
  "isFilterable": true,
  "isSortable": true,
  "isRequired": true,
  "settings": {
    "options": [
      {
        "value": "",
        "label": "",
        "color": ""
      }
    ]
  }
}'
{
  "success": true,
  "data": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "entityType": "PEOPLE",
    "name": "Favorite Color",
    "key": "cf_favorite_color",
    "type": "SELECT",
    "description": "string",
    "isFilterable": true,
    "isSortable": true,
    "isRequired": true,
    "settings": {
      "options": [
        {
          "value": "string",
          "label": "string",
          "color": "string"
        }
      ]
    },
    "displayOrder": 1,
    "createdAt": "2026-05-20T14:22:03.116Z",
    "updatedAt": "2026-05-20T14:22:03.116Z"
  }
}